
Summary: 	Print dialog and printer manager for Xfce
Name: 		xfprint
Version: 	4.2.3
Release: 	%mkrel 1
License:	BSD
URL: 		http://www.xfce.org/
Source0: 	%{name}-%{version}.tar.bz2
Group:		Graphical desktop/Xfce
BuildRoot: 	%{_tmppath}/%{name}-root
Requires:	a2ps 
BuildRequires: 	glib2-devel >= 2.0.6
BuildRequires: 	libxfcegui4-devel >= %{version}
BuildRequires:	xfce-mcs-manager-devel >= %{version}
BuildRequires:	a2ps
Buildrequires:	cups-devel 
BuildRequires:	cups-common

%description
Xfprint contains a print dialog and a printer manager for Xfce.


%prep
%setup -q

%configure2_5x --enable-letter

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std 

# remove unneeded devel files
rm -f %{buildroot}/%{_libdir}/xfce4/xfprint-plugins/*.*a 
rm -f %{buildroot}/%{_libdir}/xfce4/mcs-plugins/*.*a

%find_lang %{name}

%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root)
%doc README ChangeLog COPYING AUTHORS NOTES
%{_bindir}/* 
%{_libdir}/xfce4/*
%{_datadir}/applications/*.desktop
%{_datadir}/icons/* 
%{_datadir}/xfce4/doc/*

%changelog
* Tue Jan 17 2006 Marcel Pol <mpol@mandriva.org> 4.2.3-1mdk
- 4.2.3
- remove unneeded devel files
- rebuild for 2006 Community

* Mon Jan 09 2006 Marcel Pol <mpol@mandriva.org> 4.2.2-3mdk
- rebuild for new cups and gnutls (instead of openssl)

* Wed Jun 01 2005 Marcel Pol <mpol@mandriva.org> 4.2.2-2mdk
- buildrequires cups-common for lpr

* Tue May 24 2005 Marcel Pol <mpol@mandriva.org> 4.2.2-1mdk
- 4.2.2
- %%mkrel
- requires desktop-common-data
- update filelist

* Wed Mar 16 2005 Charles A Edwards <eslrahc@mandrake.org> 4.2.1-1mdk
- 4.2.1

* Sat Jan 22 2005 Marcel Pol <mpol@mandrake.org> 4.2.0-2mdk
- group: Graphical desktop/Xfce

* Tue Jan 18 2005 Charles A Edwards <eslrahc@mandrake.org> 4.2.0-1mdk
- 4.2.0 Final
- add desktop files

* Tue Dec 28 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.3-2mdk
- buildrequires xfce-mcs-manager-devel

* Sat Dec 25 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.3-1mdk
- 4.1.99.3 (4.2.0 RC 3)
- remove unneeded devel files

* Sun Dec 12 2004 Charles A Edwards <eslrahc@mandrake.org> 4.1.99.2-1mdk
- 4.1.99.2 (4.2.0 RC 2)
- update file list

* Tue Nov 16 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.1-1mdk
- 4.1.99.1
- s/XFce/Xfce
- drop libpackages, update filelist
- buildrequires cups-devel

* Mon Jul 12 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.6-1mdk
- 4.0.6
- reenable libtoolize

* Sat Apr 17 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.5-1mdk
- 4.0.5

* Fri Apr 09 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.4-1mdk
- 4.0.4

* Sat Jan 10 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.3-1mdk
- 4.0.3

* Mon Dec 22 2003 Charles A Edwards <eslrahc@mandrake.org> 4.0.2-1mdk
- 4.0.2

* Mon Nov 24 2003 Marcel Pol <mpol@gmx.net> 4.0.1-1mdk
- initial package from Charles A Edwards <eslrahc@bellsouth.net>


